# port to Ayatana AppIndicator
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^typelib\\(AppIndicator3

%global altname		nicotine
%global appdata_id	org.nicotine_plus.Nicotine

Name:		nicotine+
Version:	3.2.9
Release:	%mkrel 1
Summary:	A graphical client for Soulseek
Group:		Networking/File transfer
# - Notification sound files (in sounds/default/) are CC0
# IP2Location Country Database (pynicotine/geoip/ipcountrydb.bin) is
# CC-BY-SA-4.0 (see pynicotine/geoip/README.md)
License:	GPL-3.0-or-later AND CC-BY-SA-4.0
URL:		https://nicotine-plus.github.io/nicotine-plus/
Source0:	https://github.com/nicotine-plus/nicotine-plus/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	gettext
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(python3)
# Needed for tests
BuildRequires:	gtk+3
BuildRequires:	python3-gobject
BuildRequires:	python3dist(pytest)
BuildRequires:	x11-server-xvfb
BuildRequires:	abattis-cantarell-fonts

Requires:	gtk+3
Requires:	python3dist(dbus-python)
Requires:	python3-gobject
Requires:	python3dist(miniupnpc)
Requires:	python3dist(pytaglib)

%description
Nicotine+ is a graphical client for the Soulseek peer-to-peer file sharing
network. It is an attempt to keep Nicotine working with the latest libraries,
kill bugs, keep current with the Soulseek protocol, and add some new features
that users want and/or need.

%prep
%autosetup -n nicotine-plus-%{version} -p1

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

rm -f %{buildroot}%{python3_sitelib}/pynicotine/*/README.md

%find_lang %{altname}

%check
# Tests requiring an Internet connection are disabled

xvfb-run --server-args="-screen 0 1024x768x8" env %pytest --deselect=test/unit/test_version.py
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{appdata_id}.appdata.xml


%files -f %{altname}.lang
%doc AUTHORS.md NEWS.md README.md TRANSLATORS.md
%license COPYING pynicotine/geoip/README.md
%{_bindir}/%{altname}
%{python3_sitelib}/pynicotine/
%{python3_sitelib}/%{altname}_plus-%{version}-py%{python3_version}.egg-info
%{_datadir}/applications/%{appdata_id}.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_iconsdir}/hicolor/*/apps/*.*
%{_metainfodir}/%{appdata_id}.appdata.xml
%{_mandir}/man1/%{altname}.1.*


%changelog
* Wed Apr 05 2023 luigiwalser <luigiwalser> 3.2.9-1.mga9
+ Revision: 1951451
- 3.2.9

* Sun Jan 08 2023 daviddavid <daviddavid> 3.2.8-1.mga9
+ Revision: 1931380
- new version: 3.2.8

* Mon Dec 12 2022 luigiwalser <luigiwalser> 3.2.7-1.mga9
+ Revision: 1921190
- 3.2.7

* Wed Nov 02 2022 luigiwalser <luigiwalser> 3.2.6-1.mga9
+ Revision: 1901736
- 3.2.6

* Tue Sep 13 2022 luigiwalser <luigiwalser> 3.2.5-1.mga9
+ Revision: 1887919
- 3.2.5

* Thu Aug 18 2022 luigiwalser <luigiwalser> 3.2.4-1.mga9
+ Revision: 1878557
- 3.2.4

* Sat Apr 09 2022 luigiwalser <luigiwalser> 3.2.2-1.mga9
+ Revision: 1848337
- also requires python3-gobject
- 3.2.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 luigiwalser <luigiwalser> 3.2.1-1.mga9
+ Revision: 1790401
- also BR python3-gobject (pygobject/gobject-core is insufficient) - thx papoteur
- re-add Xvfb to check section as it is still needed for GUI test
- 3.2.1
- 3.2.0
- 3.1.1
- 3.1.0

* Tue May 18 2021 daviddavid <daviddavid> 3.0.6-1.mga9
+ Revision: 1725347
- new version: 3.0.6

* Tue Apr 27 2021 daviddavid <daviddavid> 3.0.5-1.mga9
+ Revision: 1720000
- new version: 3.0.5

* Fri Apr 09 2021 daviddavid <daviddavid> 3.0.4-1.mga9
+ Revision: 1714364
- new version: 3.0.4

* Sat Mar 20 2021 daviddavid <daviddavid> 3.0.2-2.mga9
+ Revision: 1705303
- rebuild for python 3.9

* Tue Mar 02 2021 daviddavid <daviddavid> 3.0.2-1.mga9
+ Revision: 1695727
- new version: 3.0.2

* Sun Feb 28 2021 daviddavid <daviddavid> 3.0.1-1.mga9
+ Revision: 1694386
- new version: 3.0.1

* Fri Feb 26 2021 daviddavid <daviddavid> 3.0.0-1.mga9
+ Revision: 1691998
- new version: 3.0.0

* Sat Dec 19 2020 daviddavid <daviddavid> 2.2.2-1.mga8
+ Revision: 1661197
- new version: 2.2.2

* Tue Dec 15 2020 luigiwalser <luigiwalser> 2.2.0-1.mga8
+ Revision: 1657529
- 2.2.0

* Thu Oct 22 2020 daviddavid <daviddavid> 2.1.2-1.mga8
+ Revision: 1638619
- new version: 2.1.2
- upstream replaced Mutagen with pytaglib for audio file metadata
  scanning due to performance issues

* Wed Aug 05 2020 daviddavid <daviddavid> 2.0.1-1.mga8
+ Revision: 1611309
- initial package nicotine+ (mga#27044)

